Bug 243528 - new port, PrusaSlicer
Summary: new port, PrusaSlicer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Eugene Grosbein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 21:45 UTC by teodorsigaev@gmail.com
Modified: 2020-01-24 19:05 UTC (History)
1 user (show)

See Also:


Attachments
cereal and prusaslicer ports (4.06 KB, application/gzip)
2020-01-22 21:45 UTC, teodorsigaev@gmail.com
no flags Details
biology/cereal port (5.61 KB, text/plain)
2020-01-23 21:59 UTC, teodorsigaev@gmail.com
no flags Details
cad/prusaslicer port (17.03 KB, text/plain)
2020-01-23 22:00 UTC, teodorsigaev@gmail.com
no flags Details
cereal port (5.61 KB, text/plain)
2020-01-24 17:12 UTC, teodorsigaev@gmail.com
no flags Details
prusaslicer port (17.33 KB, text/plain)
2020-01-24 17:13 UTC, teodorsigaev@gmail.com
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description teodorsigaev@gmail.com 2020-01-22 21:45:15 UTC
Created attachment 210974 [details]
cereal and prusaslicer ports

Hi!

I would like to suggest new port: PrusaSlicer. pkg-descr says:
PrusaSlicer takes 3D models (STL, OBJ, AMF) and converts them into G-code
instructions for FFF printers or PNG layers for mSLA 3D printers. It's
compatible with any modern printer based on the RepRap toolchain, including
all those based on the Marlin, Prusa, Sprinter and Repetier firmware. It also
works with Mach3, LinuxCNC and Machinekit controllers.

I've added it to fork of https://github.com/outpaddling/freebsd-ports-wip, commit https://github.com/feodor/freebsd-ports-wip/commit/c2cc0bcd2daf4fedccd47f09c39a20bef87266b5 . Unfortunally, port depends on cereal library which isn't present in ports but presents in project pointed above. Attached tar-file contains both ports.

If it's a wrong place to suggest new port, sorry.
Comment 1 teodorsigaev@gmail.com 2020-01-23 21:59:06 UTC
Created attachment 210998 [details]
biology/cereal port

Separate file for cereal port
Comment 2 teodorsigaev@gmail.com 2020-01-23 22:00:12 UTC
Created attachment 210999 [details]
cad/prusaslicer port

Separate cad/prusaslicer port, update it to work with wx31-gtk3-3.1.3
Comment 3 teodorsigaev@gmail.com 2020-01-24 17:12:11 UTC
Created attachment 211013 [details]
cereal port

move to devel/cereal and check Makefile with a help of portlint
Comment 4 teodorsigaev@gmail.com 2020-01-24 17:13:03 UTC
Created attachment 211014 [details]
prusaslicer port

check Makefiel with portlint, add gettext to USES
Comment 5 commit-hook freebsd_committer 2020-01-24 17:38:42 UTC
A commit references this bug:

Author: eugen
Date: Fri Jan 24 17:38:05 UTC 2020
New revision: 523975
URL: https://svnweb.freebsd.org/changeset/ports/523975

Log:
  New port: devel/cereal

  cereal is a header-only C++11 serialization library. cereal takes arbitrary
  data types and reversibly turns them into different representations, such as
  compact binary encodings, XML, or JSON. cereal was designed to be fast,
  light-weight, and easy to extend - it has no external dependencies and
  can be easily bundled with other code or used standalone.

  This port is a dependency for upcoming port for PrusaSlicer.

  PR:		243528
  Submitted by:	Teodor Sigaev <teodor@sigaev.ru>

Changes:
  head/devel/Makefile
  head/devel/cereal/
  head/devel/cereal/Makefile
  head/devel/cereal/distinfo
  head/devel/cereal/pkg-descr
  head/devel/cereal/pkg-plist
Comment 6 commit-hook freebsd_committer 2020-01-24 17:42:43 UTC
A commit references this bug:

Author: eugen
Date: Fri Jan 24 17:41:59 UTC 2020
New revision: 53814
URL: https://svnweb.freebsd.org/changeset/doc/53814

Log:
  Add Teodor Sigaev <teodor@sigaev.ru> for the ports devel/cereal etc.

  PR:		243528

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 7 commit-hook freebsd_committer 2020-01-24 18:26:47 UTC
A commit references this bug:

Author: eugen
Date: Fri Jan 24 18:26:06 UTC 2020
New revision: 523977
URL: https://svnweb.freebsd.org/changeset/ports/523977

Log:
  New port: cad/PrusaSlicer

  PrusaSlicer takes 3D models (STL, OBJ, AMF) and converts them into G-code
  instructions for FFF printers or PNG layers for mSLA 3D printers. It's
  compatible with any modern printer based on the RepRap toolchain, including
  all those based on the Marlin, Prusa, Sprinter and Repetier firmware.
  It also works with Mach3, LinuxCNC and Machinekit controllers.

  PR:		243528
  Submitted by:	Teodor Sigaev <teodor@sigaev.ru>

Changes:
  head/cad/Makefile
  head/cad/PrusaSlicer/
  head/cad/PrusaSlicer/Makefile
  head/cad/PrusaSlicer/distinfo
  head/cad/PrusaSlicer/files/
  head/cad/PrusaSlicer/files/patch-src-avrdude-libavrdude.h
  head/cad/PrusaSlicer/files/patch-src-slic3r-GUI-GUI_App.cpp
  head/cad/PrusaSlicer/files/patch-src-slic3r-GUI-GUI_Utils.cpp
  head/cad/PrusaSlicer/files/patch-src-slic3r-GUI-GUI_Utils.hpp
  head/cad/PrusaSlicer/pkg-descr
  head/cad/PrusaSlicer/pkg-plist
Comment 8 Eugene Grosbein freebsd_committer 2020-01-24 18:29:28 UTC
Committed, thank you for your efforts!
Comment 9 teodorsigaev@gmail.com 2020-01-24 19:05:20 UTC
Thank you very much!